///*****************************************
//  Copyright (C) 2009-2014
//  ITE Tech. Inc. All Rights Reserved
//  Proprietary and Confidential
///*****************************************
//   @file   <Mhlrx.h>
//   @author Max.Kao@ite.com.tw
//   @date   2013/11/14
//   @fileversion: ITE_IT6802_SAMPLE_V1.04
//******************************************/
#ifndef _MHLRX_H_
#define _MHLRX_H_

#include "common.h"
#include "TimerProcess.h"

#ifndef _IT680x_
#define _IT680x_
#endif


#define _REAL_TIME_
#define _ENABLE_HDMI_INT_


  
#define IT6802_LOOP_TIME 	(100/SYSTEM_TICK)								// 50ms
#define MS_LOOP    			(SYSTEM_TICK*IT6802_LOOP_TIME)					//5 ms x 10 = 50 ms

#if 1
/*****************************************************************************/
/* IT680X Feature define  **********************************************************/
/*****************************************************************************/
#define _SUPPORT_HDCP_				FALSE
#define _SUPPORT_RCP_				TRUE		// for support it6811 and it6802 MHL CBUS
#define _SUPPORT_RAP_				TRUE		// for support it6811 and it6802 MHL CBUS
//#define _SUPPORT_UCP_				FALSE		// for support it6811 and it6802 MHL CBUS
//#define _SUPPORT_EDID_RAM_		TRUE

//FIX_ID_001 xxxxx Add Auto EQ with Manual EQ
#define _SUPPORT_EQ_ADJUST_                     TRUE             // Must always on !!!
#define _SUPPORT_AUTO_EQ_                        TRUE
//#define _SUPPORT_MANUAL_ADJUST_EQ_     TRUE

//FIX_ID_001 xxxxx


//FIX_ID_004 xxxxx //Add calibration ring osc for Cbus
#define _SelectExtCrystalForCbus_	TRUE
//FIX_ID_004 xxxxx

#define _EnCBusU3IDDQ     	FALSE
#define _EnHWPathEn  		FALSE   // FALSE: FW PATH_EN


#define SUPPORT_OUTPUTRGB

#define SUPPORT_INPUTYUV








/*****************************************************************************/
/* Type defs enums  **********************************************************/
/*****************************************************************************/
//#define MS_LOOP                 50

enum
{
  MHD_RAP_CMD_POLL         	= 0x00,
  MHD_RAP_CMD_CHG_ACTIVE_PWR  = 0x10,
  MHD_RAP_CMD_CHG_QUIET       = 0x11,
  MHD_RAP_CMD_END             = 0x12
};

//RAPK sub commands
enum
{
    MHD_MSC_MSG_RAP_NO_ERROR        		= 0x00,     // RAP No Error
    MHD_MSC_MSG_RAP_UNRECOGNIZED_ACT_CODE  	= 0x01,
    MHD_MSC_MSG_RAP_UNSUPPORTED_ACT_CODE  	= 0x02,
    MHD_MSC_MSG_RAP_RESPONDER_BUSY   		= 0x03
};

enum
{
	RCP_SELECT          = 0x00,
	RCP_UP              = 0x01,
	RCP_DOWN            = 0x02,
	RCP_LEFT            = 0x03,
	RCP_RIGHT           = 0x04,
	RCP_RIGHT_UP        = 0x05,
	RCP_RIGHT_DOWN      = 0x06,
	RCP_LEFT_UP         = 0x07,
	RCP_LEFT_DOWN       = 0x08,
	RCP_ROOT_MENU       = 0x09,
	RCP_SETUP_MENU      = 0x0A,
	RCP_CONTENTS_MENU   = 0x0B,
	RCP_FAVORITE_MENU   = 0x0C,
	RCP_EXIT            = 0x0D,

	//0x0E - 0x1F are reserved

	RCP_NUM_0           = 0x20,
	RCP_NUM_1           = 0x21,
	RCP_NUM_2           = 0x22,
	RCP_NUM_3           = 0x23,
	RCP_NUM_4           = 0x24,
	RCP_NUM_5           = 0x25,
	RCP_NUM_6           = 0x26,
	RCP_NUM_7           = 0x27,
	RCP_NUM_8           = 0x28,
	RCP_NUM_9           = 0x29,

	RCP_DOT             = 0x2A,
	RCP_ENTER           = 0x2B,
	RCP_CLEAR           = 0x2C,

	//0x2D - 0x2F are reserved

	RCP_CH_UP           = 0x30,
	RCP_CH_DOWN         = 0x31,
	RCP_PRE_CH          = 0x32,
	RCP_SOUND_SELECT    = 0x33,
	RCP_INPUT_SELECT    = 0x34,
	RCP_SHOW_INFO       = 0x35,
	RCP_HELP            = 0x36,
	RCP_PAGE_UP         = 0x37,
	RCP_PAGE_DOWN       = 0x38,

	//0x39 - 0x40 are reserved

	RCP_VOL_UP	        = 0x41,
	RCP_VOL_DOWN        = 0x42,
	RCP_MUTE            = 0x43,
	RCP_PLAY            = 0x44,
	RCP_STOP            = 0x45,
	RCP_PAUSE           = 0x46,
	RCP_RECORD          = 0x47,
	RCP_REWIND          = 0x48,
	RCP_FAST_FWD        = 0x49,
	RCP_EJECT           = 0x4A,
	RCP_FWD             = 0x4B,
	RCP_BKWD            = 0x4C,

	//0x4D - 0x4F are reserved

	RCP_ANGLE            = 0x50,
	RCP_SUBPICTURE       = 0x51,

	//0x52 - 0x5F are reserved

	RCP_PLAY_FUNC       = 0x60,
	RCP_PAUSE_PLAY_FUNC = 0x61,
	RCP_RECORD_FUNC     = 0x62,
	RCP_PAUSE_REC_FUNC  = 0x63,
	RCP_STOP_FUNC       = 0x64,
	RCP_MUTE_FUNC       = 0x65,
	RCP_UN_MUTE_FUNC    = 0x66,
	RCP_TUNE_FUNC       = 0x67,
	RCP_MEDIA_FUNC      = 0x68,

	//0x69 - 0x70 are reserved

	RCP_F1              = 0x71,
	RCP_F2              = 0x72,
	RCP_F3              = 0x73,
	RCP_F4              = 0x74,
	RCP_F5              = 0x75,

	//0x76 - 0x7D are reserved

	RCP_VS              = 0x7E,
	RCP_RSVD            = 0x7F

};

//FIX_ID_003 xxxxx	//Add IT6802 Video Output Configure setting
typedef enum _Video_Output_Configure
{
	eRGB444_SDR=0,
	eYUV444_SDR,
	eRGB444_DDR,
	eYUV444_DDR,
	eYUV422_Emb_Sync_SDR,
	eYUV422_Emb_Sync_DDR,
	eYUV422_Sep_Sync_SDR,
	eYUV422_Sep_Sync_DDR,
	eCCIR656_Emb_Sync_SDR,
	eCCIR656_Emb_Sync_DDR,
	eCCIR656_Sep_Sync_SDR,
	eCCIR656_Sep_Sync_DDR,
	eRGB444_Half_Bus,
	eYUV444_Half_Bus,
	eBTA1004_SDR,
	eBTA1004_DDR,
	eVOMreserve
}Video_Output_Configure;

typedef enum _Video_OutputDataTrigger_Mode
{
	eSDR=0,
	eHalfPCLKDDR,
	eHalfBusDDR,
	eSDR_BTA1004,
	eDDR_BTA1004
}Video_DataTrigger_Mode;

typedef enum _Video_OutputSync_Mode
{
	eSepSync=0,
	eEmbSync,
	eCCIR656SepSync,
	eCCIR656EmbSync
}Video_OutputSync_Mode;

//FIX_ID_003 xxxxx

typedef enum _Video_State_Type {
    VSTATE_Off=0,
    VSTATE_TerminationOff,
    VSTATE_TerminationOn,
    VSTATE_5VOff,
    VSTATE_SyncWait,
    VSTATE_SWReset,
    VSTATE_SyncChecking,
    VSTATE_HDCPSet,
    VSTATE_HDCP_Reset,
    VSTATE_ModeDetecting,
    VSTATE_VideoOn,
    VSTATE_ColorDetectReset,
    VSTATE_HDMI_OFF,
    VSTATE_Reserved
} Video_State_Type;

typedef enum _RxHDCP_State_Type {
    RxHDCP_PwrOff=0,
    RxHDCP_ModeCheck,
    RxHDCP_Receiver,
    RxHDCP_Repeater,
    RxHDCP_SetKSVFifoList,
    RxHDCP_GenVR,
    RxHDCP_WriteVR,
    RxHDCP_Auth_WaitRi,
    RxHDCP_Authenticated,
    RxHDCP_Reserved
} RxHDCP_State_Type;

typedef enum  {
	RCP_Received = 0,
	RCP_Error,
	RCP_ACK,
	RCP_Transfer,
	RCP_Empty,
	RCP_Unknown
}RCPState_Type;

typedef enum  {
	RCP_Result_OK = 0,
	RCP_Result_FAIL,
	RCP_Result_ABORT,
	RCP_Result_Transfer,
	RCP_Result_Finish,
	RCP_Result_Unknown
}RCPResult_Type;


typedef enum _Audio_State_Type {
    ASTATE_AudioOff = 0,
    ASTATE_RequestAudio ,
    ASTATE_ResetAudio,
    ASTATE_WaitForReady,
    ASTATE_AudioOn ,
    ASTATE_Reserved
} Audio_State_Type ;


#define F_MODE_RGB24  0
#define F_MODE_RGB444  0
#define F_MODE_YUV422 1
#define F_MODE_YUV444 2
#define F_MODE_CLRMOD_MASK 3
#define F_MODE_ITU709  (1<<4)
#define F_MODE_ITU601  0
#define F_MODE_0_255   0
#define F_MODE_16_235  (1<<5)
#define F_MODE_EN_UDFILT (1<<6)
#define F_MODE_EN_DITHER (1<<7)

#define RCVABORT        2
#define RCVNACK         3
#define ARBLOSE         4
#define FWTXFAIL        5
#define FWRXPKT         6
#define FAILURE			-1
#define ABORT           -2

#define HIGH			1
#define LOW				0

#define CD8BIT			4
#define CD10BIT	 		5
#define CD12BIT			6
#define CD16BIT			7

#define OUT8B           0
#define OUT10B          1
#define OUT12B          2

#define RGB444			0
#define YCbCr422		1
#define YCbCr444		2

#define NORM            0
#define FAST            1
#define SLOW            2

#define AUD32K			0x3
#define AUD48K			0x2
#define AUD96K			0xA
#define AUD192K			0xE
#define AUD44K			0x0
#define AUD88K			0x8
#define AUD176K			0xC

#define I2S				0
#define SPDIF			1

#define MHLInt00B       0x20
#define DCAP_CHG        0x01
#define DSCR_CHG        0x02
#define REQ_WRT         0x04
#define GRT_WRT         0x08

#define MHLInt01B       0x21
#define EDID_CHG        0x01

#define MHLSts00B       0x30
#define DCAP_RDY        0x01

#define MHLSts01B       0x31
#define NORM_MODE       0x03
#define PACK_MODE       0x02
#define PATH_EN         0x08
#define MUTED           0x10

#define MSG_MSGE	0x02
#define MSG_RCP		0x10
#define MSG_RCPK	0x11
#define MSG_RCPE	0x12
#define MSG_RAP		0x20
#define MSG_RAPK	0x21
#define MSG_UCP		0x30
#define MSG_UCPK	0x31
#define MSG_UCPE	0x32


#define MHL  1
#define HDMI 0

#define BUS10B 1
#define BUS20B 0


#define MAXRCPINDEX 5

#define SUPPORT_INPUTRGB
#define SUPPORT_INPUTYUV444
#define SUPPORT_INPUTYUV422

#if defined(SUPPORT_INPUTYUV444)|| defined(SUPPORT_INPUTYUV422)
#define SUPPORT_INPUTYUV
#endif


#define SUPPORT_OUTPUTYUV
#define SUPPORT_OUTPUTYUV444
#define SUPPORT_OUTPUTYUV422

#if (defined(SUPPORT_OUTPUTYUV444))||(defined(SUPPORT_OUTPUTYUV422))
#define SUPPORT_OUTPUTYUV
#endif

#define F_PORT_SEL_0      0
#define F_PORT_SEL_1      1

#define B_CAP_AUDIO_ON  (1<<7)
#define B_CAP_HBR_AUDIO (1<<6)
#define B_CAP_DSD_AUDIO (1<<5)
#define B_LAYOUT        (1<<4)
#define B_MULTICH       (1<<4)
#define B_HBR_BY_SPDIF  (1<<3)
#define B_SPDIF         (1<<2)
#define B_CAP_LPCM      (1<<0)

//#define FALSE 		0
#define TRUE 		1
#define SUCCESS 	0
//#define FAILURE 		-1
#define ON 			1
#define OFF        	0
#define HIGH       	1
#define LOW        	0

typedef enum _SYS_STATUS {
    ER_SUCCESS = 0,
    ER_FAIL,
    ER_RESERVED
} SYS_STATUS ;

#endif


#if 1
/*****************************************************************************/
/* Type defs struct **********************************************************/
/*****************************************************************************/
struct IT6802_REG_INI
{
    unsigned char ucAddr;
    unsigned char andmask;
    unsigned char ucValue;
};


struct IT6802_VIDEO_CONFIGURE_REG
{
    unsigned char ucReg51;
    unsigned char ucReg65;
};

typedef struct _3D_SourceConfiguration
{
    unsigned char          Format;              /**< Type of 3D source format expected or found.                                                        */
    unsigned char    LR_Reference;        /**< Source of the 3D L/R reference.                                                                    */
    unsigned char FrameDominance;      /**< Left or Right Eye is first in L/R image pair.                                                      */
    unsigned char     LR_Encoding;         /**< Type of 3D L/R encoding expected or detected.                                                      */
    unsigned char    TB_Reference;        /**< Top/Bottom reference for vertically sub-sampled sources.                                           */
    unsigned char    OE_Reference;        /**< Odd/Even reference for horizontally sub-sampled sources.                                           */
    unsigned char NumActiveBlankLines;                 /**< Number of lines separating vertically packed L/R data to be removed (cropped)
                                                  *  before being displayed. Does not include any embedded encoding.                                    */
    unsigned char NumberOfEncodedLines;                /**< Number of encoded lines in one L/R eye frame of the display data
                                                  *  to be blanked out with "Blanking Color". (assumed same number in second eye frame)                 */
    unsigned int  LeftEncodedLineLocation;             /**< Active line number of 1st encoded line in one Left eye frame of the display data (-1=unknown).     */
    unsigned int  RightEncodedLineLocation;            /**< Active line number of 1st encoded line in one Right eye frame of the display data (-1=unknown).
                                                  *  If format is Horizontally Packed, set RightEncodedLineLocation=LeftEncodedLineLocation             */
    unsigned char BlankingColor;                 /**< Color to use when blanking (or masking off) any embedded L/R encoding.                             */
} SRC_3D_SOURCE_CONFIG;

typedef struct _de3dframe
{
    unsigned char VIC;
    unsigned char HB0;
    unsigned char HB1;
    unsigned char HB2;
    unsigned char PB0;
    unsigned char PB1;
    unsigned char PB2;
    unsigned char PB3;
    unsigned char PB4;
    unsigned char PB5;
    unsigned char PB6;
    unsigned char PB7;
} DE3DFRAME ;

typedef struct _set_de3d_frame
{
    unsigned char Vic;
    unsigned int V_total;        // Vtotal -1
    unsigned int V_act_start;    // VTotal -1 + Vactive_start -1
    unsigned int V_act_end;      // Vactive end -1
    unsigned int V_sync_end;     // LSB(Vtotal -1 + sync With)
    unsigned int V_2D_active_total;     // V_2D_active_total

} SET_DE3D_FRAME;

typedef enum
{
    VSYNC_SEPARATED_HALF,       /**< VSync separated (field sequential) format.                         */
    VSYNC_SEPARATED_FULL,       /**< VSync separated (frame sequential progressive) format.             */
    VERT_PACKED_HALF,           /**< Over Under (vertically packed) half resolution format.             */
    VERT_PACKED_FULL,           /**< Over Under (vertically packed) full resolution format.             */
    HORIZ_PACKED_HALF,          /**< Side by Side (horizontally packed) half resolution format.         */
    HORIZ_PACKED_FULL,          /**< Side by Side (horizontally packed) full resolution format.         */
    UNDEFINED_FORMAT            /**< Undefined format.                                                  */
} SRC_3D_FORMAT;

typedef enum _pixel_mode
{
    SINGLE_PIXEL,
    DUAL_PIXEL  ,
    MODE_UNKNOWN
}PIXEL_MODE;

typedef struct _REGPAIR {
    unsigned char  ucAddr ;
    unsigned char  ucValue ;
} REGPAIR ;

typedef struct {
    unsigned char  AudioFlag ;
    unsigned char  AudSrcEnable ;
    unsigned char  SampleFreq ;
    unsigned char  ChStat[5] ;
} AUDIO_CAPS ;

typedef struct {
    unsigned short HActive ;
    unsigned short VActive ;
    unsigned short HTotal ;
    unsigned short VTotal ;
    long PCLK ;
    unsigned char  xCnt ;
    unsigned short HFrontPorch ;
    unsigned short HSyncWidth ;
    unsigned short HBackPorch ;
    unsigned short VFrontPorch ;
    unsigned short VSyncWidth ;
    unsigned short VBackPorch ;
    unsigned char  ScanMode:1 ;
    unsigned char  VPolarity:1 ;
    unsigned char  HPolarity:1 ;
} VTiming ;



//FIX_ID_010 xxxxx 	//Add JudgeBestEQ to avoid wrong EQ setting
#define MaxEQIndex 3
//FIX_ID_010 xxxxx

//FIX_ID_001 xxxxx Add Auto EQ with Manual EQ
#ifdef _SUPPORT_EQ_ADJUST_
struct it6802_eq_data
{
unsigned char ucEQState;
unsigned char ucAuthR0;								//20130327 for R0 fail issue
unsigned char ucECCvalue;								//20130328 for acc ecc error
unsigned char ucECCfailCount;							//20130328 for acc ecc error
unsigned char ucPkt_Err;
unsigned char ucPortID;
unsigned char f_manualEQadjust;
//FIX_ID_010 xxxxx 	//Add JudgeBestEQ to avoid wrong EQ setting
unsigned char ErrorCount[MaxEQIndex];
//FIX_ID_010 xxxxx
};
#endif
//FIX_ID_001 xxxxx



//FIX_ID_005 xxxxx	//Add Cbus Event Handler
	#define B_MSC_Waiting 		0x10
	#define B_DevCapChange 		0x08
	#define B_3DSupporpt 		0x04 // bit2 B_3DSupporpt
	#define B_ReadDevCap 		0x02 // bit1 B_ReadDevCap
	#define B_DiscoveryDone 		0x01 // bit0 B_DiscoveryDone
//FIX_ID_005 xxxxx

//FIX_ID_014 xxxxx
	#define B_PORT1_TimingChgEvent	0x40
	#define B_PORT1_TMDSEvent	0x20
	#define B_PORT1_Waiting		0x10
	#define B_PORT0_TimingChgEvent	0x04
	#define B_PORT0_TMDSEvent	0x02
	#define B_PORT0_Waiting		0x01
//FIX_ID_014 xxxxx

//FIX_ID_013	xxxxx	//For MSC 3D request issue
#define MSC_3D_VIC		(0x0010)
#define MSC_3D_DTD		(0x0011)

typedef enum _PARSE3D_STA{
	PARSE3D_START,
	PARSE3D_LEN,
	PARSE3D_STRUCT_H,
	PARSE3D_STRUCT_L,
	PARSE3D_MASK_H,
	PARSE3D_MASK_L,
	PARSE3D_VIC,
	PARSE3D_DONE
}PARSE3D_STA;

typedef enum _MHL3D_STATE{
	MHL3D_REQ_START,
	MHL3D_REQ_WRT,
	MHL3D_GNT_WRT,
	MHL3D_WRT_BURST,
	MHL3D_REQ_DONE
}MHL3D_STATE;

struct PARSE3D_STR
{
	unsigned char	uc3DEdidStart;
	unsigned char	uc3DBlock;
	unsigned char	uc3DInfor[32];
	unsigned char	ucVicStart;
	unsigned char	ucVicCnt;
	unsigned char	uc3DTempCnt;
	unsigned char	ucDtdCnt;
	unsigned char	bVSDBspport3D;
};
//FIX_ID_013	xxxxx


struct AVI_info
{
    unsigned char ColorMode;
    unsigned char Colorimetry;
    unsigned char ExtendedColorimetry;
    unsigned char RGBQuantizationRange;
    unsigned char VIC;
    //unsigned char PixelRepetition;
};


struct it6802_dev_data
{
    Video_State_Type m_VState;
    Audio_State_Type m_AState;
    RxHDCP_State_Type m_RxHDCPState;
    AUDIO_CAPS m_RxAudioCaps;
    unsigned short m_SWResetTimeOut;
    unsigned short m_VideoCountingTimer;
    unsigned short m_AudioCountingTimer;
    unsigned char m_ucCurrentHDMIPort;
    unsigned char m_bOutputVideoMode;
    unsigned char m_bInputVideoMode;

    unsigned char m_ucSCDTOffCount;
    unsigned char m_ucEccCount_P0;
    unsigned char m_ucEccCount_P1;
    unsigned char m_ucDeskew_P0;
    unsigned char m_ucDeskew_P1;

    SRC_3D_SOURCE_CONFIG de3dframe_config;
    DE3DFRAME s_Current3DFr;

    unsigned char oldVIC;
    unsigned char newVIC;
    unsigned char  f_de3dframe_hdmi;

//FIX_ID_001 xxxxx Add Auto EQ with Manual EQ
    #ifdef _SUPPORT_EQ_ADJUST_
    struct it6802_eq_data EQPort[2];
    #endif
//FIX_ID_001 xxxxx

    //FIX_ID_003 xxxxx	//Add IT6802 Video Output Configure setting
    Video_Output_Configure m_VidOutConfigMode;
    Video_DataTrigger_Mode m_VidOutDataTrgger;
    Video_OutputSync_Mode m_VidOutSyncMode;
    //FIX_ID_003 xxxxx
//FIX_ID_005 xxxxx	//Add Cbus Event Handler
    unsigned char CBusIntEvent;
    unsigned char CBusSeqNo;
    unsigned char CBusWaitNo;
//FIX_ID_005 xxxxx

//FIX_ID_014 xxxxx	//Add Cbus Event Handler
    unsigned char HDMIIntEvent;
    unsigned char HDMIWaitNo[2];
//FIX_ID_014 xxxxx

#ifndef _SelectExtCrystalForCbus_
	float RCLK;
	float PCLK;

	int  t10usint;
	int  t10usflt;
#endif

	//AVI_info m_avi;
    unsigned char ColorMode;
    unsigned char Colorimetry;
    unsigned char ExtendedColorimetry;
    unsigned char RGBQuantizationRange;
    unsigned char VIC;



    PIXEL_MODE pixelMode;	//Output TTL Pixel mode
    unsigned char GCP_CD;	//Output Color Depth
    unsigned char  DE3DFormat_HDMIFlag:1;
    unsigned char  FramePacking_Flag:1;
    unsigned char  TopAndBottom_Flag:1;
    unsigned char  SideBySide_Flag:1;




    #ifdef _IT6607_GeNPacket_Usage_
    unsigned char  m_PollingPacket;
    unsigned char  m_PacketState;
    unsigned char  m_ACPState;
    unsigned char  m_GeneralRecPackType;
    unsigned char  m_GamutPacketRequest:1;
    #endif

//#if(_SUPPORT_HDCP_)
//    //HDCP
//    unsigned char HDCPEnable;
//    HDCPSts_Type Hdcp_state;
//    unsigned int HDCPFireCnt ;
//#endif

    //CBUS MSC
    unsigned char Mhl_devcap[16];
    unsigned char txmsgdata[2];
    unsigned char rxmsgdata[2];
    unsigned char txscrpad[16];
    unsigned char rxscrpad[16];
    unsigned char RCPTxArray[MAXRCPINDEX];
    unsigned char	RCPhead;
    unsigned char	RCPtail;
    RCPState_Type RCPState;
    RCPResult_Type RCPResult;
//FIX_ID_015	xxxxx peer device no response
    unsigned char RCPCheckResponse;
//FIX_ID_015	xxxxx
    unsigned char m_bRxAVmute:1;
    unsigned char m_bVideoOnCountFlag:1;
    unsigned char m_MuteAutoOff:1;
    unsigned char m_bUpHDMIMode:1;
    unsigned char m_bUpHDCPMode:1;
    unsigned char m_NewAVIInfoFrameF:1;
    unsigned char m_NewAUDInfoFrameF:1;
    unsigned char m_HDCPRepeater:1;
    unsigned char m_MuteByPKG:1;

};

#endif


/*****************************************************************************/
/* Error codes ***************************************************************/
/*****************************************************************************/
/* Error code specifying an I2C driver error */
#define IT680x_I2C_DRIVER_ERROR                     -4
#define IT680x_I2C_DRIVER_TERMINAL_ERROR            -5

/* Error code specifying RTA errors */
#define IT680x_RTA_SEM_IN_USE                       -6
#define IT680x_RTA_ERROR                            -7

/* Error code specifying other errors */
#define IT680x_DATA_INVALID                         -8


/*****************************************************************************/
/* Public function prototypes ************************************************/
/*****************************************************************************/
void IT6802_fsm_init(void);
void it6802PortSelect(unsigned char ucPortSel);
void it6802HPDCtrl(unsigned char ucport,unsigned char ucEnable)	;
void IT6802_fsm(void);
//void IT6802ChangeTTLVideoOutputMode(void);
//void IT6802MSCCmdTest(unsigned char ucCmd);
void  Dump_IT680xReg(void);
void show_vid_info( void );
void get_vid_info( void );

unsigned char IsVideoOn(void);

#ifdef _SUPPORT_RCP_
void RCPKeyPush(unsigned char ucKey);
#endif

#ifdef SUPPORT_UART_CMD
extern unsigned char m_UartCmd;
#endif

extern void Printf(const  char *Msg, ...);
#ifdef _ENABLE_HDMI_INT_
extern volatile uint08 bHDMIINT;
#endif


/*****************************************************************************/
/* Print message *********** ************************************************/
/*****************************************************************************/
#ifndef Debug_message
#define Debug_message 1
#endif



#if Debug_message
	//#include <stdio.h>
	#define MHLRX_DEBUG_PRINTF(x) //Printf  x
	#define EQ_DEBUG_PRINTF(x) //Printf  x	
	#define EQ_PORT0_PRINTF(x) //Printf  x
	#define EQ_PORT1_PRINTF(x) // Printf  x	
	#define VIDEOTIMNG_DEBUG_PRINTF(x) Printf  x
	#define IT6802_DEBUG_INT_PRINTF(x)   //Printf  x
	#define IT6802_MHL_DEBUG_PRINTF(x) //Printf x
	#define MHL_MSC_DEBUG_PRINTF(x) //Printf x
	#define HDMIRX_VIDEO_PRINTF(x)  // Printf  x
	#define HDMIRX_AUDIO_PRINTF(x) //Printf  x
	#define HDMIRX_DEBUG_PRINT(x) //printf x
	#define CEC_DEBUG_PRINTF(x) //printf x
	#define EDID_DEBUG_PRINTF(x) //Printf  x	    
	#define IT680X_DEBUG_PRINTF(x) Printf  x
	#define VSDB_DEBUG_PRINTF(x) //Printf  x
	#define RCP_DEBUG_PRINTF(x) //Printf  x    		
	#define MHL3D_DEBUG_PRINTF(x) //Printf  x 	
	#define CBUS_CAL_PRINTF(x) //Printf  x 		
	#define MHL_INT_PRINTF(x) //Printf  x	
#else
	#define MHLRX_DEBUG_PRINTF(x)
	#define IT6802_DEBUG_INT_PRINTF(x)
	#define IT6802_MHL_DEBUG_PRINTF(x)
	#define MHL_MSC_DEBUG_PRINTF(x)
	#define HDMIRX_VIDEO_PRINTF(x)
	#define HDMIRX_AUDIO_PRINTF(x)
	#define EQ_DEBUG_PRINTF(x)
	#define HDMIRX_DEBUG_PRINT(x)
	#define CEC_DEBUG_PRINTF(x)
	#define VIDEOTIMNG_DEBUG_PRINTF(x)
	#define EDID_DEBUG_PRINTF(x) 
	#define IT680X_DEBUG_PRINTF(x)
	#define VSDB_DEBUG_PRINTF(x)
	#define RCP_DEBUG_PRINTF(x)	
	#define MHL3D_DEBUG_PRINTF(x)	
	#define CBUS_CAL_PRINTF(x) 		
	#define MHL_INT_PRINTF(x) 	
#endif
#endif
