///*****************************************
//  Copyright (C) 2009-2014
//  ITE Tech. Inc. All Rights Reserved
//  Proprietary and Confidential
///*****************************************
//   @file   <TimerProcess.c>
//   @author Max.Kao@ite.com.tw
//   @date   2011/12/01
//   @fileversion: IT6623_Sample_1.03
//******************************************/

#include "TimerProcess.h"
#include "msp430x22x4.h"

//unsigned short ucTickCount=0;
TimerTask_Description TimerTask[MAX_TimerTaskC];


void clrTimerTask(System_TimerTask_Type cTimerTask)
{
        TimerTask[cTimerTask].TimerTask_name=eSysTimerTask_non;
        TimerTask[cTimerTask].TimerTaskAutoRun=SysTimerTask_NonRun;		
}

unsigned char initTimerTask()
{
	unsigned char j=0;
    for(j=0;j<MAX_TimerTaskC;j++)
    {
        TimerTask[j].TimerTask_name=eSysTimerTask_non;
        TimerTask[j].TimerTaskAutoRun=SysTimerTask_NonRun;		
    }
    return 1;
}



void CreatTimerTask(System_TimerTask_Type cTimerTask,
    unsigned short Acount,
    System_TimerTask_Run AutoRun)
{
        TimerTask[cTimerTask].TimerTask_name=cTimerTask;
        TimerTask[cTimerTask].TimerTask_AimCount=Acount;
        TimerTask[cTimerTask].TimerTask_TickCount=ucTickCount;
        TimerTask[cTimerTask].TimerTaskAutoRun=AutoRun;
#if 0
	printf("[%06u]---CreatTimerTask[ %s ] : [%u] : [%u] \n",ucTickCount,
											TimeStr[cTimerTask],
											TimerTask[cTimerTask].TimerTask_AimCount,
											TimerTask[cTimerTask].TimerTask_TickCount);
#endif
}

unsigned short CalTimer(unsigned long SetupCnt)
{
    if(SetupCnt>ucTickCount)
    {
        return (0xffff-(SetupCnt-ucTickCount));
    }
    else
    {
        return (ucTickCount-SetupCnt);
    }
}



unsigned char DestructTimerTask(System_TimerTask_Type cTimerTask)
{
#if 0
	printf("[%06u]DestructTimerTask[ %s ] : [%u] : [%u] \n",ucTickCount,
											TimeStr[cTimerTask],
											TimerTask[cTimerTask].TimerTask_AimCount,
#endif
	TimerTask[cTimerTask].TimerTaskAutoRun=SysTimerTask_Finish;
	TimerTask[cTimerTask].TimerTask_name=eSysTimerTask_non;

    	return 1;
}

unsigned char TimeOutCheck(System_TimerTask_Type cTimerTask)
{
	if(TimerTask[cTimerTask].TimerTaskAutoRun==SysTimerTask_Finish)
	{
		TimerTask[cTimerTask].TimerTaskAutoRun=SysTimerTask_NonRun;		
		return 1;
	}	
	else
		return 0;

}

void ProcessMultiTimerTask()
{
	//unsigned char j=0,i=0;
	System_TimerTask_Type ProcessCnt;
    for(ProcessCnt=0;ProcessCnt<MAX_TimerTaskC;ProcessCnt++)
    {
        if(TimerTask[ProcessCnt].TimerTask_name==eSysTimerTask_non)
            continue;

        if(CalTimer(TimerTask[ProcessCnt].TimerTask_TickCount) >
            TimerTask[ProcessCnt].TimerTask_AimCount )
        {

            if(TimerTask[ProcessCnt].TimerTaskAutoRun==SysTimerTask_AutoRun)
                TimerTask[ProcessCnt].TimerTask_TickCount=ucTickCount;
            else
                DestructTimerTask(TimerTask[ProcessCnt].TimerTask_name);
        }

    }
}



void delay1ms(unsigned short ms)
{
#if 0	
	 unsigned short i,j;

	 for(i=0;i<0xfff;i++)
	 for(j=0;j<ms;j++);

#else



    unsigned short ucStartTickCount,diff;
       
    ms=ms/SYSTEM_TICK;
	
    ucStartTickCount=ucTickCount;

        do
        {
            if(ucTickCount < ucStartTickCount)
                {
                    diff=0xffff-(ucStartTickCount-ucTickCount);
                }
            else
                {
                    diff=ucTickCount-ucStartTickCount;
                }
        }while(diff<ms);
#endif        
}

