/***************************************************************************** 
**
**             TEXAS INSTRUMENTS PROPRIETARY INFORMATION
**
**  (c) Copyright, Texas Instruments Incorporated, 2010
**      All Rights Reserved.
**
**  Property of Texas Instruments Incorporated. Restricted Rights -
**  Use, duplication, or disclosure is subject to restrictions set
**  forth in TI's program license agreement and associated documentation.
******************************************************************************/
/*************************************************************
* THIS PROGRAM IS PROVIDED "AS IS." TI MAKES NO WARRANTIES OR
* REPRESENTATIONS, EITHER EXPRESS, IMPLIED OR STATUTORY,
* INCLUDING ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
* FOR A PARTICULAR PURPOSE, LACK OF VIRUSES, ACCURACY OR
* COMPLETENESS OF RESPONSES, RESULTS AND LACK OF NEGLIGENCE.
* TI DISCLAIMS ANY WARRANTY OF TITLE, QUIET ENJOYMENT, QUIET
* POSSESSION, AND NON-INFRINGEMENT OF ANY THIRD PARTY
* INTELLECTUAL PROPERTY RIGHTS WITH REGARD TO THE PROGRAM OR
* YOUR USE OF THE PROGRAM.
*
* IN NO EVENT SHALL TI BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
* CONSEQUENTIAL OR INDIRECT DAMAGES, HOWEVER CAUSED, ON ANY
* THEORY OF LIABILITY AND WHETHER OR NOT TI HAS BEEN ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGES, ARISING IN ANY WAY OUT
* OF THIS AGREEMENT, THE PROGRAM, OR YOUR USE OF THE PROGRAM.
* EXCLUDED DAMAGES INCLUDE, BUT ARE NOT LIMITED TO, COST OF
* REMOVAL OR REINSTALLATION, COMPUTER TIME, LABOR COSTS, LOSS
* OF GOODWILL, LOSS OF PROFITS, LOSS OF SAVINGS, OR LOSS OF
* USE OR INTERRUPTION OF BUSINESS.  IN NO EVENT WILL TI'S
* AGGREGATE LIABILITY UNDER THIS AGREEMENT OR ARISING OUT OF
* YOUR USE OF THE PROGRAM EXCEED FIVE HUNDRED DOLLARS
* (U.S.$500).
*
* Unless otherwise stated, the Program is written and copyrighted
* by Texas Instruments is distributed as "freeware."  You may,
* only under TI's copyright in the Program, use and modify the
* Program without any charge or restriction.  You may
* distribute to third parties, provided that you transfer a
* copy of this license to the third party and the third party
* agrees to these terms by its first use of the Program.  In
* jurisdictions in which use is not deemed acceptance of these
* terms, no license is granted and no use is permitted.  You
* must reproduce the copyright notice and any other legend of
* ownership on each copy or partial copy of the Program.
*
* You acknowledge and agree that the Program contains
* copyrighted material, trade secrets and other TI proprietary
* information and is protected by copyright laws,
* international copyright treaties, and trade secret laws, as
* well as other intellectual property laws.  You agree that in
* no event will you alter, remove or destroy any copyright
* notice included in the Program.  TI reserves all rights not
* specifically granted under this license.  Except as
* specifically provided herein, nothing in this agreement
* shall be construed as conferring upon you, by implication,
* estoppel, or otherwise, any license or other right under any
* TI patents, copyrights or trade secrets.
*************************************************************/

#ifndef _DDP343xEVM_H_
#define _DDP343xEVM_H_

#ifdef __cplusplus
extern "C"
{
#endif



// Use Decoder board (1)
// DVI board (0) for setting DVI
#define DECODER_CONFIG     0




#define DPP3430_DEV_ADDR                    0x36

#define TVP5150_DEV_ADDR                    0xBA

#define ACTIVE_LOW		0 
#define ACTIVE_HIGH 	0x8

#define NUM_SUPPORTED_SPLASH                4

typedef enum display_mode_t 
{	
  disp_mode_splash,
  disp_mode_tpg,
#if DECODER_CONFIG // Decoder config
  disp_mode_656
#else // DVI config
  disp_mode_rgb
#endif  
  
} display_mode_t;


// Init functions
void Init_Ports(void);
void Init_TimerA1(void);
void Init_TimerB(void);
void global_selection_init ();
void resetInit (void);
void dpp3430_Init_Decoder (void);

//Functions
void write_dpp3430_i2c(uint08 addr, uint08 subaddr, uint08 *Param, uint08 ParamSize);
void read_dpp3430_i2c(uint08 addr, uint08 subaddr, uint08* Param, uint08 ParamSize, uint08 *Data, uint08 DataSize);

void write_i2c_1byte(uint08 addr, uint08 subaddr, uint08 data);
uint08 read_i2c_1byte(uint08 addr, uint08 subaddr, uint08* data);
void setup_tvp5150(void);
void disable_tvp5150(void);

void powerup(void);
void powerdown(void);

void process_button(uint08 active_interrupt);
void process_display_adjust(uint08 button);
uint08 check_PowerOnOff_polarity();
//uint08 check_CAIC_polarity();	// (Randy Chen added on 8/8)
//uint08 check_LABB_polarity();	// (Randy Chen added on 8/8)

uint08 check_I2C_Read_Req_polarity();

void SetKeystone_Angle(uint08 Angle);	// (Randy Chen added on 1/2)
void SetKeystone_TR_OFS(void);	//(Randy Chen added on 1/2)
void SetDMD_size(void);		//(Randy Chen added on 1/2)

#ifdef __cplusplus
}
#endif
#endif /* _DDP343xEVM_H_ */
/*------------------------ Nothing Below This Line --------------------------*/

