/***************************************************************************** 
**
**             TEXAS INSTRUMENTS PROPRIETARY INFORMATION
**
**  (c) Copyright, Texas Instruments Incorporated, 2008
**      All Rights Reserved.
**
**  Property of Texas Instruments Incorporated. Restricted Rights -
**  Use, duplication, or disclosure is subject to restrictions set
**  forth in TI's program license agreement and associated documentation.
******************************************************************************/
/*************************************************************
* THIS PROGRAM IS PROVIDED "AS IS." TI MAKES NO WARRANTIES OR
* REPRESENTATIONS, EITHER EXPRESS, IMPLIED OR STATUTORY,
* INCLUDING ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
* FOR A PARTICULAR PURPOSE, LACK OF VIRUSES, ACCURACY OR
* COMPLETENESS OF RESPONSES, RESULTS AND LACK OF NEGLIGENCE.
* TI DISCLAIMS ANY WARRANTY OF TITLE, QUIET ENJOYMENT, QUIET
* POSSESSION, AND NON-INFRINGEMENT OF ANY THIRD PARTY
* INTELLECTUAL PROPERTY RIGHTS WITH REGARD TO THE PROGRAM OR
* YOUR USE OF THE PROGRAM.
*
* IN NO EVENT SHALL TI BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
* CONSEQUENTIAL OR INDIRECT DAMAGES, HOWEVER CAUSED, ON ANY
* THEORY OF LIABILITY AND WHETHER OR NOT TI HAS BEEN ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGES, ARISING IN ANY WAY OUT
* OF THIS AGREEMENT, THE PROGRAM, OR YOUR USE OF THE PROGRAM.
* EXCLUDED DAMAGES INCLUDE, BUT ARE NOT LIMITED TO, COST OF
* REMOVAL OR REINSTALLATION, COMPUTER TIME, LABOR COSTS, LOSS
* OF GOODWILL, LOSS OF PROFITS, LOSS OF SAVINGS, OR LOSS OF
* USE OR INTERRUPTION OF BUSINESS.  IN NO EVENT WILL TI'S
* AGGREGATE LIABILITY UNDER THIS AGREEMENT OR ARISING OUT OF
* YOUR USE OF THE PROGRAM EXCEED FIVE HUNDRED DOLLARS
* (U.S.$500).
*
* Unless otherwise stated, the Program is written and copyrighted
* by Texas Instruments is distributed as "freeware."  You may,
* only under TI's copyright in the Program, use and modify the
* Program without any charge or restriction.  You may
* distribute to third parties, provided that you transfer a
* copy of this license to the third party and the third party
* agrees to these terms by its first use of the Program.  In
* jurisdictions in which use is not deemed acceptance of these
* terms, no license is granted and no use is permitted.  You
* must reproduce the copyright notice and any other legend of
* ownership on each copy or partial copy of the Program.
*
* You acknowledge and agree that the Program contains
* copyrighted material, trade secrets and other TI proprietary
* information and is protected by copyright laws,
* international copyright treaties, and trade secret laws, as
* well as other intellectual property laws.  You agree that in
* no event will you alter, remove or destroy any copyright
* notice included in the Program.  TI reserves all rights not
* specifically granted under this license.  Except as
* specifically provided herein, nothing in this agreement
* shall be construed as conferring upon you, by implication,
* estoppel, or otherwise, any license or other right under any
* TI patents, copyrights or trade secrets.
*************************************************************/

// DPP343x EVM MSP430F2132 pin definition

#ifndef __ddp343xEVM_pins
#define __ddp343xEVM_pins

#ifdef __cplusplus
extern "C" {
#endif
///////////////


// Port 1 defines
//#define MSP_DVI_PDOZ    BIT0              //P1.0 output. TP2. Not Used for TVP. For DVI MSP_DVI_PDOZ (power enable DVI)
//#define TVP5150_RSTz    BIT1              //P1.1 output  TVP5150 reset; XCVR_OEZ DVI reset
//#define TVP5150_PDz     BIT2              //P1.2 output TVP5150 power down; For DVI: XCVR_DIRZ, not used for DVI
//#define AVID_IRQ        BIT3              //P1.3 input  TVP5150 interrupt request; AVID_IRQ: As in DVI mode, this pin as a test pin for output.

//#define CAIC_IN         	BIT0              //P1.0 input. TP2. Used for CAIC function ON/OFF.(Randy Chen added on 8/8)
#define I2C_ACK_WRITE       BIT0              //P1.0 Output: Write to Cypress.
#define IT6801_RSTN_PIN    	BIT1              //P1.1 input for TI pico with it6802
#define IT6801_INTN_PIN    	BIT2              //P1.2 input for TI pico with it6802
//#define LABB_IN         	BIT3              //P1.3 input. Used for LABB function ON/OFF.(Randy Chen added on 8/8)
#define I2C_REQ_READ        BIT3              //P1.3: input. Used for read I2C status from Cypress GPIO.
#define MSPJTAG_TCK     	BIT4              //P1.4 output: JTAG Not used by SW
#define MSPJTAG_TMS     BIT5              //P1.5 output: JTAG Not used by SW
#define MSPJTAG_TDI     BIT6              //P1.6 output: JTAG Not used by SW
#define MSP_JTAG_TDO    BIT7              //P1.7 output: JTAG Not used by SW

// Port 2 defines
#define BTN_UP          BIT0              //P2.0 input
#define BTN_DOWN        BIT1              //P2.1 input
#define BTN_LEFT        BIT2              //P2.2 input
#define BTN_RIGHT       BIT3              //P2.3 input
#define BTN_SEL         BIT4              //P2.4 input
#define INIT_DONE       BIT5              //P2.5 input  HOST_IRQ signal 
#define MSP_PROJ_ON     BIT6              //P2.6 output: PROJ_ON for PAD LED device
#define MSP_PARKZ       BIT7              //P2.7 output  powergood signal to DPP asic, EXT_PARKZ

////////////(Randy Chen added on 1/2)	
#define BTN_SEL_RIGHT	0x47			  //Press BTN_SEL+BTN_RIGHT for increasing keystone pitch angle
#define BTN_SEL_LEFT	0x4B			  //Press BTN_SEL+BTN_LEFT for decreasing keystone pitch angle

// Port 3 defines
#define TP3             BIT0              //P3.0 input  Not Used in BT656. Used in DVI card for testing.
#define SDA             BIT1              //P3.1 i/o     I2C data, make it output = 1
#define SCL             BIT2              //P3.2 output  IIC clock
#define SW_ON_OFF       BIT3              //P3.3 input. SW control On/Off switch
//p3.4 for uart #define LED_IIC_FAULT   BIT4
//p3.5 for uart #define LED_CPU_ENA     BIT5
//#define LED_CPU_ENA     BIT5              //P3.5 output misc LED output 1 : LED 1: Orange color
#define LED_IT6802_ON   BIT6              //P3.6 output misc LED output 1 : LED 1:
#define LED_IIC_FAULT   BIT7              //P3.4 output misc LED output 0 : LED 0
#define LED_TVP_ENA     BIT7              //P3.6 output misc LED output 2 : LED 2
#define MSP_DVI_PDZ     BIT7              //P3.7 output TP1. Not Used with TVP. For DVI: Powser Down Output

#ifdef __cplusplus		/* matches __cplusplus construct above */
}
#endif

#endif /* #ifndef __ddp343xEVM_pins */
